package net.wanji.datacenter.service;

/**
 * @author duanruiming
 * @date 2023/03/10 9:48
 */
public interface DataProcessService {
    /**
     * 数据中心收到数据
     *
     * @param topic
     * @return
     */
    String receive(String topic);

    /**
     * 数据中心发送数据, 通过远程调用调用不同的服务
     *
     * @param convertData
     */
    void send(String topic, Object convertData);

    /**
     * 数据中心转换数据
     *
     * @param originalData
     * @return
     */
    Object convert(String originalData) throws Exception;

    /**
     * 转换后保存数据
     */
    void save(Object convertData) throws Exception;
    
}
